LibreOffice: XFormulaOpCodeMapper Interface Reference

LibreOffice LibreOffice 7.1 SDK API Reference

Public Member Functions | Public Attributes | List of all members
XFormulaOpCodeMapper Interface Reference

gives access to spreadsheet compiler token interns. More...

`import"XFormulaOpCodeMapper.idl";`

Inheritance diagram for XFormulaOpCodeMapper:

## Public Member Functions
sequence< FormulaToken > | getMappings ([in] sequence< string > Names, [in] long Language) raises ( com::sun::star::lang::IllegalArgumentException )
| returns a sequence of tokens matching the input sequence of strings in order. More...
sequence< FormulaOpCodeMapEntry > | getAvailableMappings ([in] long Language, [in] long Groups) raises ( com::sun::star::lang::IllegalArgumentException )
| returns a sequence of map entries for all available elements of a given formula language. More...

## Public Attributes
long | OpCodeExternal
| OpCode value used for external Add-In functions. More...
long | OpCodeUnknown
| OpCode value used for unknown functions. More...

## Detailed Description

gives access to spreadsheet compiler token interns.

## Member Function Documentation

## ◆ getAvailableMappings()

sequence< FormulaOpCodeMapEntry > getAvailableMappings | ( | [in] long | Language,
|  | [in] long | Groups
| ) |  |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

returns a sequence of map entries for all available elements of a given formula language.

Parameters

  Language | Formula language to be used, one of FormulaLanguage constants. If a constant unknown to the implementation is passed, com::sun::star::lang::IllegalArgumentException is thrown.
  Groups | Group of mappings to be returned, a bit mask of FormulaMapGroup constants.

Returns
  Sequence of FormulaOpCodeMapEntry.

Each element of the formula language in parameter Language is mapped to a FormulaToken containing the internal OpCode used by the spreadsheet application in FormulaToken::OpCode and by contract maybe additional information in FormulaToken::Data. See getMappings() for more details.

## ◆ getMappings()

sequence< FormulaToken > getMappings | ( | [in] sequence< string > | Names,
|  | [in] long | Language
| ) |  |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

returns a sequence of tokens matching the input sequence of strings in order.

Parameters

  Names | Sequence of names to be mapped. These can be function names, operators, separators and other symbols the formula compiler knows.
  Language | Formula language to be used, one of FormulaLanguage constants. If a constant unknown to the implementation is passed, com::sun::star::lang::IllegalArgumentException is thrown.

Returns
  a sequence of FormulaToken matching the input sequence in order.

Each string element in parameter Names according to the formula language in parameter Language is mapped to a FormulaToken containing the internal OpCode used by the spreadsheet application in FormulaToken::OpCode and by contract maybe additional information in FormulaToken::Data.

The order of the FormulaToken sequence returned matches the input order of the string sequence.

An unknown Name string gets the OpCode value of OpCodeUnknown assigned.

Additional information in FormulaToken::Data is returned for:

- Add-in names: the programmatic name. The OpCode value used for add-ins can be queried with the OpCodeExternal getter method.

## Member Data Documentation

## ◆ OpCodeExternal

long OpCodeExternal
| attributereadonly

OpCode value used for external Add-In functions.

Needed to be able to identify which of the function names map to an Add-In implementation where this OpCode is used in the returned mapping and the programmatic name is available as additional information.

## ◆ OpCodeUnknown

long OpCodeUnknown
| attributereadonly

OpCode value used for unknown functions.

Used to identify which of the function names queried with getMappings() are unknown to the implementation.

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XFormulaOpCodeMapper.idl